libappstream1_0.7.3-1_amd64.deb


Advertisement

Description

libappstream1 - Library to access AppStream services

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libappstream1
Package version 0.7.3
Package release 1
Package architecture amd64
Package type deb
Installed size 228 B
Download size 61.52 KB
Official Mirror ftp.br.debian.org
AppStream is a cross-distribution effort for creating and sharing
metadata about software components available in the package repositories
of a distribution.
It provides specifications for an unified software component metadata database
and various other things needed to make handling of software smarter.
This package contains a GObject-based library to access AppStream
services, like the software component metadata database.

Alternatives

Package Version Architecture Repository
libappstream1_0.7.3-1_i386.deb 0.7.3 i386 Debian Main
libappstream1 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:4.1.1
libglib2.0-0 >= 2.40
libstdc++6 >= 4.1.1
libxapian22 -
libxml2 >= 2.7.4
libyaml-0-2 -
multiarch-support -

Download

Type URL
Binary Package libappstream1_0.7.3-1_amd64.deb
Source Package appstream

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libappstream1 deb package:
    # sudo apt-get install libappstream1

Files

Path
/usr/lib/x86_64-linux-gnu/libappstream.so.0.7.3
/usr/lib/x86_64-linux-gnu/libappstream.so.1
/usr/share/doc/libappstream1/changelog.Debian.gz
/usr/share/doc/libappstream1/copyright

Changelog

2014-10-10 - Matthias Klumpp <mak@debian.org>
appstream (0.7.3-1) unstable; urgency=medium
* New upstream bugfix release: 0.7.3
2014-09-22 - Matthias Klumpp <mak@debian.org>
appstream (0.7.2-1) unstable; urgency=medium
* New upstream release: 0.7.2
* Add very simple autopkgtest
2014-09-08 - Matthias Klumpp <mak@debian.org>
appstream (0.7.1-1) unstable; urgency=medium
* New upstream release: 0.7.1
- Closes: #760654
* Drop patches: Applied upstream
2014-07-20 - Matthias Klumpp <mak@debian.org>
appstream (0.7.0-2) unstable; urgency=medium
* appstream-doc: Install the whole AppStream documentation
* Make appstream-index recommendation less strict (Closes: #755393)
2014-07-16 - Matthias Klumpp <mak@debian.org>
appstream (0.7.0-1) unstable; urgency=medium
* New upstream release: 0.7.0
* Update project homepage url
* Enable docs and qt library
* asqt_installpaths.patch: Install Qt library to multiarch paths
2014-05-12 - Matthias Klumpp <mak@debian.org>
appstream (0.6.2-1) unstable; urgency=medium
* New upstream bugfix release: 0.6.2
* Force-upgrade database on package installation,
instead of doing a deferred upgrade
2014-04-26 - Matthias Klumpp <mak@debian.org>
appstream (0.6.1-1) unstable; urgency=low
* New upstream release: 0.6.1
* Drop all patches: Applied upstream
* Bump standards version: No changes needed
2014-04-16 - Matthias Klumpp <mak@debian.org>
appstream (0.6.0-1) unstable; urgency=low
* New upstream release: 0.6
* fix-pkgconfig.patch: Fix prefix in libappstream pkg-config file
2014-02-23 - Matthias Klumpp <mak@debian.org>
appstream (0.5.0-1) unstable; urgency=low
* New upstream release: 0.5
* Simplify rebuild-trigger in postinst script
* Remove obsolete config-file (Closes: #727121)
* Tighten dependency on GLib
* Drop all patches: Applied upstream
2013-10-20 - Matthias Klumpp <mak@debian.org>
appstream (0.4.0-1) unstable; urgency=low
* New upstream release: 0.4.0
* Update descriptions
* Install pc-file into multiarch libdir
* Touch AppStream dirs after update, so we schedule a cache rebuild

See Also

Package Description
libappstreamqt-dev_0.7.3-1_amd64.deb Qt4 library to access AppStream services (development files)
libappstreamqt0_0.7.3-1_amd64.deb Qt4 library to access AppStream services
libapq-doc_3.2.0-2_all.deb Pluggable Ada 95 Binding to various database systems (documentation)
libapq3.2.0.1_3.2.0-2_amd64.deb Pluggable Ada 95 Binding to various database systems (library)
libapq4-dev_3.2.0-2_amd64.deb Pluggable Ada 95 Binding to various database systems (development)
libapr-memcache-dev_0.7.0-3_amd64.deb memcache client - development libraries
libapr-memcache0_0.7.0-3_amd64.deb memcache client - shared library
libapr1-dev_1.5.1-3_amd64.deb Apache Portable Runtime Library - Development Headers
libapr1_1.5.1-3_amd64.deb Apache Portable Runtime Library
libapreq2-3_2.13-4+b1_amd64.deb generic Apache request library
libapreq2-dev_2.13-4+b1_amd64.deb generic Apache request library - development files
libapreq2-doc_2.13-4_all.deb generic Apache request library - documentation
libapron-dev_0.9.10-6_all.deb abstract interpretation library
libapron-ocaml-dev_0.9.10-6+b1_amd64.deb abstract interpretation library (OCaml interface)
libapron-ocaml_0.9.10-6+b1_amd64.deb runtime libraries for APRON (OCaml interface)
Advertisement
Advertisement